View Issue Details

IDProjectCategoryView StatusLast Update
0011929ScribusScripterpublic2016-12-08 22:04
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0011929: FontSample script pushes the Scribus main window to the foreground under KDE
DescriptionIf the FontSample script is being run, it's impossible to work in another program/program window because the Scribus main window always pushes to the foreground. It's even impossible to stop the Script from being cancelled, because the Scripter dialog is pushed to the background. The only way to stop the script from being executed is to kill the Scribus process.

This is new in 1.5.0svn and works as expected in 1.4.3.
Tags#pending, #please_test
PatchNo

Relationships

related to 0009057 confirmed Scribus floating toolbars are visible in other applications 
related to 0012073 closedFirasH Master Pages always on top even when switching applications 

Activities

Kunda

2015-05-25 03:27

manager   ~0035228

Firash, can you confirm ?

Kunda

2016-05-16 17:01

manager   ~0041136

gpittman, can you reproduce ?

gpittman

2016-05-17 00:44

developer   ~0041145

Here is what I can see:
Yes, Scribus is persistently updated and therefore brought to the foreground as the script runs.
It is possible to use another desktop, but if you don't have something running in the other desktop, you will get switched back to the one with the script running. (I'm writing this note now with the script still running in another desktop, so you can see that I can run other software).

I'll have to look at the script to see if it's repeatedly updating the screen or what -- that may be the issue. Perhaps this is something about how Qt5 handles this script.

gpittman

2016-05-17 01:10

developer   ~0041146

I'm not able to figure out why it's doing this. This is a very long and complicated script, hard to pick apart.

The short term "answer" might be just to insert a warning in the tk dialog that if you are running the script for a large number of fonts, Scribus may behave this way.

Kunda

2016-05-18 14:32

manager   ~0041199

jurajF, if you have a moment, could you look in to this ?

Issue History

Date Modified Username Field Change
2014-01-07 08:38 christoph_s New Issue
2014-09-19 18:36 Kunda Relationship added related to 0009057
2014-09-19 18:37 Kunda Relationship added related to 0012073
2014-09-19 18:40 Kunda Relationship added related to 0010634
2014-09-19 18:40 Kunda Relationship deleted related to 0010634
2015-05-25 03:27 Kunda Note Added: 0035228
2015-05-25 03:27 Kunda Patch => No
2015-05-25 03:27 Kunda Target Version => 1.5.1
2015-12-01 00:15 Kunda Tag Attached: #please_test
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-05-16 17:01 Kunda Note Added: 0041136
2016-05-17 00:44 gpittman Note Added: 0041145
2016-05-17 01:10 gpittman Note Added: 0041146
2016-05-17 01:57 Kunda Tag Attached: #pending
2016-05-18 14:31 Kunda Status new => confirmed
2016-05-18 14:32 Kunda Note Added: 0041199
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4